Bug 711952 - Crashes if being quit while drag'n'dropped files are still being opened.
Summary: Crashes if being quit while drag'n'dropped files are still being opened.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gimp
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7fef03cab099843030ce9d20f84...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-09 05:13 UTC by Luke Hutchison
Modified: 2011-06-27 23:56 UTC (History)
1 user (show)

Fixed In Version: gimp-2.6.11-16.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-24 17:57:11 UTC


Attachments (Terms of Use)
File: maps (70.62 KB, text/plain)
2011-06-09 05:13 UTC, Luke Hutchison
no flags Details
File: backtrace (33.71 KB, text/plain)
2011-06-09 05:13 UTC, Luke Hutchison
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 652280 None None None Never

Description Luke Hutchison 2011-06-09 05:13:14 UTC
abrt version: 2.0.1
architecture:   x86_64
cmdline:        gimp-2.6 '/home/luke/Downloads/JannaRings/HaloRings/2011-02-04/3/TOFIX: Aqua 7 -missing stone/DSC04532.JPG'
comment:        Crashed when opening a number of images simultaneously.
component:      gimp
crash_function: gimp_display_shell_drop_uri_list
executable:     /usr/bin/gimp-2.6
kernel:         2.6.38.6-27.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        gimp-2.6.11-14.fc15
rating:         4
reason:         Process /usr/bin/gimp-2.6 was killed by signal 11 (SIGSEGV)
time:           Wed Jun  8 17:25:34 2011
uid:            500
username:       luke

backtrace:      Text file, 34518 bytes
maps:           Text file, 72313 bytes

build_ids:
:e5f626726497a81807681ed0088dbce6d6a1f17b
:4e07b77adb145cc6404542708f22dc48ded94731
:48b9e02d2199527bf0b51390ce501d804d2e447b
:a7d93e81fb3853c855d915a3d0174face6a88a6f
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:5d363f921f4545ef2e76fa9405d096745d4177fd
:164e5ff68f0908fc5c431ed129cb647d0979b647
:ad4035c7ed357cf2ada9e160bc34b894c647eaa2
:6e7d3edc38bf427fb8cb8dd115b5e23b5b1b1854
:018b47510edca73b3c78188079f67ce3cfe41331
:6e3cd18d2bb48feed1ba5ef67c534ac282785fc1
:1c6a95451ee19617be5abea3d121f0226d21ddda
:1d8e0f59bb74fc8c1f0c9708058517e3b02202e0
:2ae119b7b7d0fa58cd2292a41e3cc5abaadd7ced
:77ff4f9f43d68dbc73351c0d5e39cb49533bf11f
:aaf62304b0fc10611d35b4f56005479d4c58868d
:9cd020ec2107c08febe2c8fcabd158212c207854
:ee2e9edde7fe91da3975e2fd2327293641f5b71b
:8f67031b50aa96f0a6ae7c89efed129297831c5d
:0b1f69c75c16ae2ee963cec0721f0e67e2b0f630
:b88c4cfe83d1711efe1bb77518d43095d3a8b47f
:38082a20e1690ad8b766d344ff8acf1c3584161b
:b211ccd123d6bdd703844842a4ab33fce4b72909
:21ad5b8ca30ad4dbb2190cfd19b03c69958ad013
:5dddbb646db3ca0f93a9848c66c8a6dd1b335466
:14289e455ffb1ff9aac615d4de025bb5703051a6
:e74effe550acd4c5780d2a4f880e71083f78ce67
:585e18f56063dab8934660820f0c63765c6c1a1f
:cb348dda1791a886da2f0cbc1ec927af92fa6c78
:cba659a9cfd98c8f9cd590b0765570103b24b95c
:0c749c6104297f79b4a7a1fead39030df2ea0790
:475ee088755895afc66a8ce42a95329f19656eb8
:4953d1f613914126bccceb3cb96386647ffba9df
:0911ea7c180d733724f89037b8e8a34e64024aec
:cdd87cfe38115dcd04c1503689de2a4f5913d6ef
:5c94d34eef463a380dece1eac0811d6cb2dea2f9
:7891b7febd412426f38fd0d0567e7c59188ec3e3
:4c842320387ff7f6f91b7842b223c16518be909f
:48aea888319e1848137073c9cbde54a4c2a731c9
:3b4e74185daae5c573056df66b5807908029eac8
:7b2a57d55eaed9acaa70783408e98ae9faa4a856
:2c35820baaea8571d8a8dc977f23cc7f629ddcb4
:d4f4cb3fa309fedac070704955eeeab97d95dc07
:473a5c86490d261073e287b18a087a8d25f6285d
:bf85aa5daf131f8f613ea7dec0707f64f0708c36
:a72a4ed2b8cedfd9b314e2a46a7e2e2ddef39bcc
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:09811c528fec7f7af2ca7126cb9de8fd5d39c15e
:de490aebd27a7d9070ddabacbd3e8fb8bf7b9bf0
:1055ac8cb851ad0f25c1533682ed949a1d85c826
:a7158bee1dfaecfbd81d16bc6b31b082b0d5244a
:d54647ce3fe0f70c8d886886d69b0fb5038371fa
:2f709c0d80b7741b678d35892b3ffacecc03d50c
:6d3394a75219e5157b049caf0435763dc19f70f6
:adc7519e0f91474d58bd87949e67e1d560d0e4c5
:5cc111ce758441128d08b5bc105a37addbc28a93
:415dd94df0672c555dd4b2a4ef9dbf530694c82c
:91689252818532ec13597b6528d38be93b2706c4
:9e3d629e06a033aa0d6ef93519dc41ba86cd6893
:f6320d3a9d2dccb9d48d2bf7e87b335f336e4123
:f277cf8af7532168ab476e5f7bddaa44e74ff642
:cc42fbfe9578cd69ce31553a4b86bb14d9c1e401
:9fd7f9c1f8b41211bd210e10f915ef69cea6a2ee
:f71025fb082bb798614e9d15a09faddaa3aab767
:cb43fcb4d0959721fd4cdabd7080b8a89ce8c90d
:23b6792e3218744316fd495002f40a037c2e0095
:34ddbe3af0c4bbc86afef608e1fc43e08080d433
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:75170354dd3507a9eefe189cda7c26f08c04405f
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:9b3af3c4e04ceb5aaa350786fd48189771cc5d0c
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:79d2d2a3e3d39fcde3bea274434562ecbc41b360
:de35afdf29c0bdb9f185cfc1d16a271852a3826f
:170003dd0adcf9c099b303c32be8ec6e01cfacc6
:0942223166054870a3213400a87b6080e2862bc4
:77976ba86d7b36b89a8c1d02fbfc8f50986e2d35
:b3900bee00b584ef0bfe2adc2f9b9aed93870bc0
:29bd9d52809f22726b6a7e9b7692f7fc4570e25a

dsos:
:/usr/lib64/libHalf.so.6.0.0 ilmbase-1.0.2-3.fc15.x86_64 (Fedora Project) 1306351326
:/lib64/libudev.so.0.11.1 libudev-167-4.fc15.x86_64 (Fedora Project) 1306351217
:/usr/lib64/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1306351799
:/usr/lib64/libgdk-x11-2.0.so.0.2400.4 gtk2-2.24.4-1.fc15.x86_64 (Fedora Project) 1306351802
:/usr/lib64/babl-0.1/sse-fixups.so babl-0.1.4-1.fc15.x86_64 (Fedora Project) 1306351481
:/usr/lib64/libgimpmath-2.0.so.0.600.11 gimp-libs-2:2.6.11-14.fc15.x86_64 (Fedora Project) 1306611756
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1306351257
:/usr/lib64/babl-0.1/gimp-8bit.so babl-0.1.4-1.fc15.x86_64 (Fedora Project) 1306351481
:/lib64/libutil-2.13.90.so glibc-2.13.90-9.x86_64 (Fedora Project) 1306351196
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc15.noarch (Fedora Project) 1306351768
:/usr/lib64/babl-0.1/gggl-lies.so babl-0.1.4-1.fc15.x86_64 (Fedora Project) 1306351481
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1306351258
:/lib64/libgcc_s-4.6.0-20110509.so.1 libgcc-4.6.0-7.fc15.x86_64 (Fedora Project) 1306351129
:/lib64/libgthread-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.x86_64 (Fedora Project) 1306351231
:/usr/lib64/libopenraw.so.1.5.2 libopenraw-0.0.8-5.fc15.x86_64 (Fedora Project) 1306351426
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.0.0-2.fc15.noarch (Fedora Project) 1306351779
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1306351199
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1306351257
:/usr/lib64/libgtk-x11-2.0.so.0.2400.4 gtk2-2.24.4-1.fc15.x86_64 (Fedora Project) 1306351802
:/usr/lib64/libjpeg.so.62.0.0 libjpeg-turbo-1.1.0-2.fc15.x86_64 (Fedora Project) 1306351205
:/usr/lib/locale/locale-archive glibc-common-2.13.90-9.x86_64 (Fedora Project) 1306351185
:/usr/bin/gimp-2.6 gimp-2:2.6.11-14.fc15.x86_64 (Fedora Project) 1306611771
:/usr/lib64/libpng12.so.0.44.0 libpng-2:1.2.44-3.fc15.x86_64 (Fedora Project) 1306351200
:/usr/lib64/libIlmThread.so.6.0.0 ilmbase-1.0.2-3.fc15.x86_64 (Fedora Project) 1306351326
:/usr/lib64/babl-0.1/CIE.so babl-0.1.4-1.fc15.x86_64 (Fedora Project) 1306351481
:/usr/lib64/liblcms.so.1.0.19 lcms-libs-1.19-4.fc15.x86_64 (Fedora Project) 1306351225
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1306351260
:/usr/lib64/libgimpmodule-2.0.so.0.600.11 gimp-libs-2:2.6.11-14.fc15.x86_64 (Fedora Project) 1306611756
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1306351256
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.8.1-2.fc15.x86_64 (Fedora Project) 1306353280
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.x86_64 (Fedora Project) 1306351681
:/usr/lib64/libIex.so.6.0.0 ilmbase-1.0.2-3.fc15.x86_64 (Fedora Project) 1306351326
:/usr/lib64/libbabl-0.1.so.0.103.1 babl-0.1.4-1.fc15.x86_64 (Fedora Project) 1306351481
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1306352781
:/usr/lib64/babl-0.1/naive-CMYK.so babl-0.1.4-1.fc15.x86_64 (Fedora Project) 1306351481
:/usr/lib64/libgimpwidgets-2.0.so.0.600.11 gimp-libs-2:2.6.11-14.fc15.x86_64 (Fedora Project) 1306611756
:/lib64/ld-2.13.90.so glibc-2.13.90-9.x86_64 (Fedora Project) 1306351196
:/usr/lib64/babl-0.1/gggl.so babl-0.1.4-1.fc15.x86_64 (Fedora Project) 1306351481
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1306351258
:/usr/lib64/libImath.so.6.0.0 ilmbase-1.0.2-3.fc15.x86_64 (Fedora Project) 1306351326
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1306351228
:/lib64/libgmodule-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.x86_64 (Fedora Project) 1306351231
:/lib64/libc-2.13.90.so glibc-2.13.90-9.x86_64 (Fedora Project) 1306351196
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1306351243
:/usr/lib64/gtk-2.0/2.10.0/immodules/im-ibus.so ibus-gtk2-1.3.99.20110408-5.fc15.x86_64 (Fedora Project) 1306611723
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.x86_64 (Fedora Project) 1306351257
:/usr/lib64/gconv/gconv-modules.cache glibc-2.13.90-9.x86_64 (Fedora Project) 1306351196
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1306351257
:/lib64/libresolv-2.13.90.so glibc-2.13.90-9.x86_64 (Fedora Project) 1306351196
:/lib64/librt-2.13.90.so glibc-2.13.90-9.x86_64 (Fedora Project) 1306351196
:/lib64/libnss_files-2.13.90.so glibc-2.13.90-9.x86_64 (Fedora Project) 1306351196
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-4.fc15.x86_64 (Fedora Project) 1306351204
:/usr/lib64/libIlmImf.so.6.0.0 OpenEXR-libs-1.7.0-2.fc15.x86_64 (Fedora Project) 1306351333
:/usr/lib64/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1306351799
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1306351255
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1306351258
:/usr/lib64/gimp/2.0/modules/libdisplay-filter-lcms.so gimp-2:2.6.11-14.fc15.x86_64 (Fedora Project) 1306611771
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.0-7.fc15.x86_64 (Fedora Project) 1306351201
:/usr/lib64/gegl-0.1/exr-load.so gegl-0.1.6-2.fc15.x86_64 (Fedora Project) 1306352457
:/lib64/libgobject-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.x86_64 (Fedora Project) 1306351231
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.2-1.fc15.x86_64 (Fedora Project) 1306351259
:/usr/lib64/libgimpcolor-2.0.so.0.600.11 gimp-libs-2:2.6.11-14.fc15.x86_64 (Fedora Project) 1306611756
:/usr/lib64/libfreetype.so.6.6.2 freetype-2.4.4-4.fc15.x86_64 (Fedora Project) 1306351200
:/lib64/libm-2.13.90.so glibc-2.13.90-9.x86_64 (Fedora Project) 1306351196
:/usr/lib64/libibus-1.0.so.0.0.0 ibus-libs-1.3.99.20110408-5.fc15.x86_64 (Fedora Project) 1306611700
:/lib64/libglib-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.x86_64 (Fedora Project) 1306351231
:/usr/lib64/libgimpconfig-2.0.so.0.600.11 gimp-libs-2:2.6.11-14.fc15.x86_64 (Fedora Project) 1306611756
:/usr/lib64/libgimpbase-2.0.so.0.600.11 gimp-libs-2:2.6.11-14.fc15.x86_64 (Fedora Project) 1306611756
:/usr/lib64/libgegl-0.1.so.0.105.1 gegl-0.1.6-2.fc15.x86_64 (Fedora Project) 1306352457
:/usr/lib64/libgimpthumb-2.0.so.0.600.11 gimp-libs-2:2.6.11-14.fc15.x86_64 (Fedora Project) 1306611756
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1306351259
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1306351209
:/usr/lib64/libatk-1.0.so.0.9.1 atk-2.0.0-1.fc15.x86_64 (Fedora Project) 1306351241
:/usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so gtk2-engines-2.20.2-2.fc15.x86_64 (Fedora Project) 1306351875
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.8.1-2.fc15.x86_64 (Fedora Project) 1306353280
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-1.fc15.x86_64 (Fedora Project) 1306351271
:/lib64/libgio-2.0.so.0.2800.6 glib2-2.28.6-2.fc15.x86_64 (Fedora Project) 1306351231
:/usr/share/fonts/dejavu/DejaVuSans.ttf dejavu-sans-fonts-2.33-1.fc15.noarch (Fedora Project) 1306351402
:/usr/lib64/gio/modules/libgioremote-volume-monitor.so gvfs-1.8.1-2.fc15.x86_64 (Fedora Project) 1306353280
:/usr/share/fonts/abattis-cantarell/Cantarell-Bold.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1306352781
:/lib64/libpthread-2.13.90.so glibc-2.13.90-9.x86_64 (Fedora Project) 1306351196
:/lib64/libdl-2.13.90.so glibc-2.13.90-9.x86_64 (Fedora Project) 1306351196
:/usr/lib64/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.x86_64 (Fedora Project) 1306351265
:/usr/lib64/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1306351799
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.x86_64 (Fedora Project) 1306351738
:/usr/lib64/babl-0.1/gegl-fixups.so babl-0.1.4-1.fc15.x86_64 (Fedora Project) 1306351481

environ:
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=39018440cdff3306fba2de924a71b371-1307488947.433187-418099539
:GNOME_KEYRING_CONTROL=/tmp/keyring-BjSi2w
:IMSETTINGS_MODULE=IBus
:USER=luke
:USERNAME=luke
:MAIL=/var/spool/mail/luke
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/usr/NX/bin:/home/luke/bin:/home/luke/bin/depot_tools
:DESKTOP_SESSION=gnome
:NXDIR=/usr/NX
:QT_IM_MODULE=xim
:PWD=/home/luke
:XMODIFIERS=@im=ibus
:'EDITOR=emacs -nw'
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1516
:LANG=en_US.UTF-8
:GWT_EXTERNAL_BROWSER=/usr/bin/chromium-browser
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:GDM_LANG=
:LOADEDMODULES=
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/luke
:SHLVL=1
:LOGNAME=luke
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-DEHAUz2mcn,guid=3103dbe80eeb10ffd1c025ed00000031
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0.0
:GTK_IM_MODULE=ibus
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-luke-hf7OzX/database
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1524,unix/unix:/tmp/.ICE-unix/1524
:ORBIT_SOCKETDIR=/tmp/orbit-luke
:GPG_AGENT_INFO=/tmp/keyring-BjSi2w/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-BjSi2w/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gimp.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=27796

event_log:
:2011-06-08-19:50:23> Analyzing coredump 'coredump'
:2011-06-08-19:50:38  Coredump references 79 debuginfo files, 79 of them are not installed
:2011-06-08-19:51:06  Looking for needed packages in repositories
:2011-06-08-19:52:39  Can't find packages for 4 debuginfo files
:2011-06-08-19:52:39  Packages to download: 39
:2011-06-08-19:52:39  Downloading 52.19Mb, installed size: 300.90Mb
:2011-06-08-19:52:40  Downloading (1 of 39) libXdamage-debuginfo-1.1.3-2.fc15.x86_64.rpm: 100%
:2011-06-08-19:52:40  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/libXdamage-debuginfo-1.1.3-2.fc15.x86_64.rpm
:2011-06-08-19:52:40  Caching files from unpacked.cpio made from libXdamage-debuginfo-1.1.3-2.fc15.x86_64.rpm
:2011-06-08-19:52:41  Downloading (2 of 39) libselinux-debuginfo-2.0.99-4.fc15.x86_64.rpm: 100%
:2011-06-08-19:52:41  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/libselinux-debuginfo-2.0.99-4.fc15.x86_64.rpm
:2011-06-08-19:52:41  Caching files from unpacked.cpio made from libselinux-debuginfo-2.0.99-4.fc15.x86_64.rpm
:2011-06-08-19:52:42  Downloading (3 of 39) dbus-glib-debuginfo-0.92-2.fc15.x86_64.rpm: 100%
:2011-06-08-19:52:42  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/dbus-glib-debuginfo-0.92-2.fc15.x86_64.rpm
:2011-06-08-19:52:42  Caching files from unpacked.cpio made from dbus-glib-debuginfo-0.92-2.fc15.x86_64.rpm
:2011-06-08-19:52:43  Downloading (4 of 39) libjpeg-turbo-debuginfo-1.1.0-2.fc15.x86_64.rpm: 100%
:2011-06-08-19:52:43  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/libjpeg-turbo-debuginfo-1.1.0-2.fc15.x86_64.rpm
:2011-06-08-19:52:43  Caching files from unpacked.cpio made from libjpeg-turbo-debuginfo-1.1.0-2.fc15.x86_64.rpm
:2011-06-08-19:52:45  Downloading (5 of 39) libX11-debuginfo-1.4.3-1.fc15.x86_64.rpm: 100%
:2011-06-08-19:52:45  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/libX11-debuginfo-1.4.3-1.fc15.x86_64.rpm
:2011-06-08-19:52:45  Caching files from unpacked.cpio made from libX11-debuginfo-1.4.3-1.fc15.x86_64.rpm
:2011-06-08-19:52:50  Downloading (6 of 39) glibc-debuginfo-2.13.90-9.x86_64.rpm: 100%
:2011-06-08-19:52:50  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/glibc-debuginfo-2.13.90-9.x86_64.rpm
:2011-06-08-19:52:52  Caching files from unpacked.cpio made from glibc-debuginfo-2.13.90-9.x86_64.rpm
:2011-06-08-19:52:55  Downloading (7 of 39) glib2-debuginfo-2.28.6-2.fc15.x86_64.rpm: 100%
:2011-06-08-19:52:55  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/glib2-debuginfo-2.28.6-2.fc15.x86_64.rpm
:2011-06-08-19:52:56  Caching files from unpacked.cpio made from glib2-debuginfo-2.28.6-2.fc15.x86_64.rpm
:2011-06-08-19:52:58  Downloading (8 of 39) lcms-debuginfo-1.19-4.fc15.x86_64.rpm: 100%
:2011-06-08-19:52:58  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/lcms-debuginfo-1.19-4.fc15.x86_64.rpm
:2011-06-08-19:52:58  Caching files from unpacked.cpio made from lcms-debuginfo-1.19-4.fc15.x86_64.rpm
:2011-06-08-19:53:00  Downloading (9 of 39) atk-debuginfo-2.0.0-1.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:00  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/atk-debuginfo-2.0.0-1.fc15.x86_64.rpm
:2011-06-08-19:53:00  Caching files from unpacked.cpio made from atk-debuginfo-2.0.0-1.fc15.x86_64.rpm
:2011-06-08-19:53:01  Downloading (10 of 39) libopenraw-debuginfo-0.0.8-5.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:01  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/libopenraw-debuginfo-0.0.8-5.fc15.x86_64.rpm
:2011-06-08-19:53:01  Caching files from unpacked.cpio made from libopenraw-debuginfo-0.0.8-5.fc15.x86_64.rpm
:2011-06-08-19:53:02  Downloading (11 of 39) pixman-debuginfo-0.20.2-2.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:02  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/pixman-debuginfo-0.20.2-2.fc15.x86_64.rpm
:2011-06-08-19:53:02  Caching files from unpacked.cpio made from pixman-debuginfo-0.20.2-2.fc15.x86_64.rpm
:2011-06-08-19:53:02  Downloading (12 of 39) libXrender-debuginfo-0.9.6-2.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:02  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/libXrender-debuginfo-0.9.6-2.fc15.x86_64.rpm
:2011-06-08-19:53:02  Caching files from unpacked.cpio made from libXrender-debuginfo-0.9.6-2.fc15.x86_64.rpm
:2011-06-08-19:53:03  Downloading (13 of 39) libXrandr-debuginfo-1.3.1-2.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:03  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/libXrandr-debuginfo-1.3.1-2.fc15.x86_64.rpm
:2011-06-08-19:53:03  Caching files from unpacked.cpio made from libXrandr-debuginfo-1.3.1-2.fc15.x86_64.rpm
:2011-06-08-19:53:03  Downloading (14 of 39) libXcursor-debuginfo-1.1.11-3.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:03  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/libXcursor-debuginfo-1.1.11-3.fc15.x86_64.rpm
:2011-06-08-19:53:03  Caching files from unpacked.cpio made from libXcursor-debuginfo-1.1.11-3.fc15.x86_64.rpm
:2011-06-08-19:53:04  Downloading (15 of 39) libXinerama-debuginfo-1.1.1-2.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:04  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/libXinerama-debuginfo-1.1.1-2.fc15.x86_64.rpm
:2011-06-08-19:53:04  Caching files from unpacked.cpio made from libXinerama-debuginfo-1.1.1-2.fc15.x86_64.rpm
:2011-06-08-19:53:04  Downloading (16 of 39) libXau-debuginfo-1.0.6-2.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:04  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/libXau-debuginfo-1.0.6-2.fc15.x86_64.rpm
:2011-06-08-19:53:04  Caching files from unpacked.cpio made from libXau-debuginfo-1.0.6-2.fc15.x86_64.rpm
:2011-06-08-19:53:07  Downloading (17 of 39) gvfs-debuginfo-1.8.1-2.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:07  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/gvfs-debuginfo-1.8.1-2.fc15.x86_64.rpm
:2011-06-08-19:53:08  Caching files from unpacked.cpio made from gvfs-debuginfo-1.8.1-2.fc15.x86_64.rpm
:2011-06-08-19:53:10  Downloading (18 of 39) libXfixes-debuginfo-5.0-1.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:10  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/libXfixes-debuginfo-5.0-1.fc15.x86_64.rpm
:2011-06-08-19:53:10  Caching files from unpacked.cpio made from libXfixes-debuginfo-5.0-1.fc15.x86_64.rpm
:2011-06-08-19:53:11  Downloading (19 of 39) libXext-debuginfo-1.2.0-2.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:11  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/libXext-debuginfo-1.2.0-2.fc15.x86_64.rpm
:2011-06-08-19:53:11  Caching files from unpacked.cpio made from libXext-debuginfo-1.2.0-2.fc15.x86_64.rpm
:2011-06-08-19:53:12  Downloading (20 of 39) udev-debuginfo-167-4.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:12  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/udev-debuginfo-167-4.fc15.x86_64.rpm
:2011-06-08-19:53:12  Caching files from unpacked.cpio made from udev-debuginfo-167-4.fc15.x86_64.rpm
:2011-06-08-19:53:14  Downloading (21 of 39) cairo-debuginfo-1.10.2-3.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:14  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/cairo-debuginfo-1.10.2-3.fc15.x86_64.rpm
:2011-06-08-19:53:14  Caching files from unpacked.cpio made from cairo-debuginfo-1.10.2-3.fc15.x86_64.rpm
:2011-06-08-19:53:15  Downloading (22 of 39) OpenEXR-debuginfo-1.7.0-2.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:15  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/OpenEXR-debuginfo-1.7.0-2.fc15.x86_64.rpm
:2011-06-08-19:53:16  Caching files from unpacked.cpio made from OpenEXR-debuginfo-1.7.0-2.fc15.x86_64.rpm
:2011-06-08-19:53:17  Downloading (23 of 39) libXi-debuginfo-1.4.2-1.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:17  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/libXi-debuginfo-1.4.2-1.fc15.x86_64.rpm
:2011-06-08-19:53:17  Caching files from unpacked.cpio made from libXi-debuginfo-1.4.2-1.fc15.x86_64.rpm
:2011-06-08-19:53:21  Downloading (24 of 39) gtk2-debuginfo-2.24.4-1.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:21  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/gtk2-debuginfo-2.24.4-1.fc15.x86_64.rpm
:2011-06-08-19:53:22  Caching files from unpacked.cpio made from gtk2-debuginfo-2.24.4-1.fc15.x86_64.rpm
:2011-06-08-19:53:23  Downloading (25 of 39) gtk2-engines-debuginfo-2.20.2-2.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:23  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/gtk2-engines-debuginfo-2.20.2-2.fc15.x86_64.rpm
:2011-06-08-19:53:23  Caching files from unpacked.cpio made from gtk2-engines-debuginfo-2.20.2-2.fc15.x86_64.rpm
:2011-06-08-19:53:24  Downloading (26 of 39) libXcomposite-debuginfo-0.4.3-2.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:24  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/libXcomposite-debuginfo-0.4.3-2.fc15.x86_64.rpm
:2011-06-08-19:53:24  Caching files from unpacked.cpio made from libXcomposite-debuginfo-0.4.3-2.fc15.x86_64.rpm
:2011-06-08-19:53:24  Downloading (27 of 39) libpng-debuginfo-1.2.44-3.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:24  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/libpng-debuginfo-1.2.44-3.fc15.x86_64.rpm
:2011-06-08-19:53:25  Caching files from unpacked.cpio made from libpng-debuginfo-1.2.44-3.fc15.x86_64.rpm
:2011-06-08-19:53:35  Downloading (28 of 39) gimp-debuginfo-2.6.11-14.fc15.x86_64.rpm:  79%
:2011-06-08-19:53:37  Downloading (28 of 39) gimp-debuginfo-2.6.11-14.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:38  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/gimp-debuginfo-2.6.11-14.fc15.x86_64.rpm
:2011-06-08-19:53:40  Caching files from unpacked.cpio made from gimp-debuginfo-2.6.11-14.fc15.x86_64.rpm
:2011-06-08-19:53:44  Downloading (29 of 39) fontconfig-debuginfo-2.8.0-3.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:44  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/fontconfig-debuginfo-2.8.0-3.fc15.x86_64.rpm
:2011-06-08-19:53:44  Caching files from unpacked.cpio made from fontconfig-debuginfo-2.8.0-3.fc15.x86_64.rpm
:2011-06-08-19:53:45  Downloading (30 of 39) libxcb-debuginfo-1.7-2.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:45  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/libxcb-debuginfo-1.7-2.fc15.x86_64.rpm
:2011-06-08-19:53:46  Caching files from unpacked.cpio made from libxcb-debuginfo-1.7-2.fc15.x86_64.rpm
:2011-06-08-19:53:48  Downloading (31 of 39) babl-debuginfo-0.1.4-1.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:48  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/babl-debuginfo-0.1.4-1.fc15.x86_64.rpm
:2011-06-08-19:53:48  Caching files from unpacked.cpio made from babl-debuginfo-0.1.4-1.fc15.x86_64.rpm
:2011-06-08-19:53:49  Downloading (32 of 39) expat-debuginfo-2.0.1-11.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:49  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/expat-debuginfo-2.0.1-11.fc15.x86_64.rpm
:2011-06-08-19:53:49  Caching files from unpacked.cpio made from expat-debuginfo-2.0.1-11.fc15.x86_64.rpm
:2011-06-08-19:53:50  Downloading (33 of 39) gegl-debuginfo-0.1.6-2.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:50  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/gegl-debuginfo-0.1.6-2.fc15.x86_64.rpm
:2011-06-08-19:53:50  Caching files from unpacked.cpio made from gegl-debuginfo-0.1.6-2.fc15.x86_64.rpm
:2011-06-08-19:53:53  Downloading (34 of 39) ilmbase-debuginfo-1.0.2-3.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:53  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/ilmbase-debuginfo-1.0.2-3.fc15.x86_64.rpm
:2011-06-08-19:53:53  Caching files from unpacked.cpio made from ilmbase-debuginfo-1.0.2-3.fc15.x86_64.rpm
:2011-06-08-19:53:55  Downloading (35 of 39) pango-debuginfo-1.28.4-1.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:55  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/pango-debuginfo-1.28.4-1.fc15.x86_64.rpm
:2011-06-08-19:53:55  Caching files from unpacked.cpio made from pango-debuginfo-1.28.4-1.fc15.x86_64.rpm
:2011-06-08-19:53:57  Downloading (36 of 39) freetype-debuginfo-2.4.4-4.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:57  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/freetype-debuginfo-2.4.4-4.fc15.x86_64.rpm
:2011-06-08-19:53:57  Caching files from unpacked.cpio made from freetype-debuginfo-2.4.4-4.fc15.x86_64.rpm
:2011-06-08-19:53:58  Downloading (37 of 39) dbus-debuginfo-1.4.6-4.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:58  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/dbus-debuginfo-1.4.6-4.fc15.x86_64.rpm
:2011-06-08-19:53:58  Caching files from unpacked.cpio made from dbus-debuginfo-1.4.6-4.fc15.x86_64.rpm
:2011-06-08-19:53:59  Downloading (38 of 39) zlib-debuginfo-1.2.5-3.fc15.x86_64.rpm: 100%
:2011-06-08-19:53:59  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/zlib-debuginfo-1.2.5-3.fc15.x86_64.rpm
:2011-06-08-19:53:59  Caching files from unpacked.cpio made from zlib-debuginfo-1.2.5-3.fc15.x86_64.rpm
:2011-06-08-19:54:00  Downloading (39 of 39) gdk-pixbuf2-debuginfo-2.23.3-1.fc15.x86_64.rpm: 100%
:2011-06-08-19:54:00  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009/gdk-pixbuf2-debuginfo-2.23.3-1.fc15.x86_64.rpm
:2011-06-08-19:54:00  Caching files from unpacked.cpio made from gdk-pixbuf2-debuginfo-2.23.3-1.fc15.x86_64.rpm
:2011-06-08-19:54:01  All downloaded packages have been extracted, removing /tmp/abrt-tmp-debuginfo-2011-06-08-19:50:26.32009
:2011-06-08-19:54:01  Missing debuginfo file: /usr/lib/debug/.build-id/01/8b47510edca73b3c78188079f67ce3cfe41331.debug
:2011-06-08-19:54:01  Missing debuginfo file: /usr/lib/debug/.build-id/3b/4e74185daae5c573056df66b5807908029eac8.debug
:2011-06-08-19:54:01  Missing debuginfo file: /usr/lib/debug/.build-id/d4/f4cb3fa309fedac070704955eeeab97d95dc07.debug
:2011-06-08-19:54:01  Missing debuginfo file: /usr/lib/debug/.build-id/cc/42fbfe9578cd69ce31553a4b86bb14d9c1e401.debug
:2011-06-08-19:54:05  Backtrace is generated and saved, 34608 bytes
:2011-06-09-01:09:09> Analyzing coredump 'coredump'
:2011-06-09-01:09:12  Coredump references 79 debuginfo files, 4 of them are not installed
:2011-06-09-01:09:43  Looking for needed packages in repositories
:2011-06-09-01:09:43  Can't find packages for 4 debuginfo files
:2011-06-09-01:09:43  Missing debuginfo file: /usr/lib/debug/.build-id/01/8b47510edca73b3c78188079f67ce3cfe41331.debug
:2011-06-09-01:09:43  Missing debuginfo file: /usr/lib/debug/.build-id/3b/4e74185daae5c573056df66b5807908029eac8.debug
:2011-06-09-01:09:43  Missing debuginfo file: /usr/lib/debug/.build-id/d4/f4cb3fa309fedac070704955eeeab97d95dc07.debug
:2011-06-09-01:09:43  Missing debuginfo file: /usr/lib/debug/.build-id/cc/42fbfe9578cd69ce31553a4b86bb14d9c1e401.debug
:2011-06-09-01:09:45  Backtrace is generated and saved, 34608 bytes

Comment 1 Luke Hutchison 2011-06-09 05:13:17 UTC
Created attachment 503818 [details]
File: maps

Comment 2 Luke Hutchison 2011-06-09 05:13:19 UTC
Created attachment 503819 [details]
File: backtrace

Comment 3 Nils Philippsen 2011-06-09 15:49:29 UTC
It crashes here:

--8<--app/display/gimpdisplayshell-dnd.c--gimp_display_shell_drop_uri_list()--
        }
      else if (shell->display->image)       <--- line 506
        {
-->8--------------------------------------------------------------------------

There are only two reasons why this line could crash, either of shell or shell->display could be pointing outside allocated memory which would make dereferencing it blow up.

I'm pretty sure that shell is valid at this point because it's set only when the callback gimp_display_shell_drop_uri_list() is registered and assuming that glib isn't broken shouldn't ever be freed until the shell itself is destroyed.

That'd leave shell->display which is only ever changed after the shell has been initialized, namely in gimp_display_shell_destroy() when the shell widget is torn down.

Luke, I assume that you dragged and dropped a bunch of image files (from your file manager) into GIMP, then while they were loading, exited GIMP. Is that about right?

Comment 4 Luke Hutchison 2011-06-09 15:58:12 UTC
I think that may be right but don't remember exactly, it all happened quite quickly.  Yes, I dropped a bunch of images on GIMP.  They loaded and the machine started swapping.  I don't think I exited from GIMP but I think I did start trying to close one or two images to try to free up memory while the rest were loading.

Comment 5 Nils Philippsen 2011-06-10 12:14:04 UTC
I've reproduced this here with the current master branch from git.

Comment 6 Nils Philippsen 2011-06-10 12:22:32 UTC
Upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=652280

Comment 7 Nils Philippsen 2011-06-10 19:33:02 UTC
This is fixed upstream in the master and gimp-2-6 branches.

Comment 8 Fedora Update System 2011-06-10 20:35:12 UTC
gimp-2.6.11-16.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gimp-2.6.11-16.fc15

Comment 9 Fedora Update System 2011-06-10 20:35:16 UTC
gimp-2.6.11-16.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gimp-2.6.11-16.fc14

Comment 10 Fedora Update System 2011-06-10 20:35:18 UTC
gimp-2.6.11-16.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gimp-2.6.11-16.fc13

Comment 11 Fedora Update System 2011-06-15 05:40:43 UTC
Package gimp-2.6.11-16.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gimp-2.6.11-16.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gimp-2.6.11-16.fc15
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2011-06-24 17:57:05 UTC
gimp-2.6.11-16.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-06-27 23:56:33 UTC
gimp-2.6.11-16.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.